- Qt 5.15
- Qt Widgets
- C++ Classes
- QTapGesture
- Qt 5.15.15 Reference Documentation

# QTapGesture Class

The QTapGesture class describes a tap gesture made by the user. More...

Header: | #include <QTapGesture>
qmake: | QT += widgets
Since: | Qt 4.6
Inherits: | QGesture

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Properties

- position : QPointF

## Public Functions

virtual | ~QTapGesture()
QPointF | position() const
void | setPosition(const QPointF &pos)

## Detailed Description

For an overview of gesture handling in Qt and information on using gestures in your applications, see the Gestures in Widgets and Graphics View document.

See also QPanGesture and QPinchGesture.

## Property Documentation

### position : QPointF

This property holds the position of the tap

Access functions:

QPointF | position() const
void | setPosition(const QPointF &pos)

## Member Function Documentation

### `[virtual]` QTapGesture::~QTapGesture()

Destructor.